HELLO_XR(1)

NAME
hello_xr - A sample OpenXR application.

SYNOPSIS
hello_xr [-h | --help]
hello_xr -g | --graphics graphics_api [-ff | --formfactor form_factor] [-vc | --viewconfig view_config] [-bm | --blendmode blend_mode] [-s | --space space] [-v | --verbose]

DESCRIPTION
hello_xr is a sample application written using the OpenXR API.

The arguments are as follows:

-h | --help
    Show brief usage instructions.

g | --graphics graphics_api
    Required: specify the graphics API to use. (Note that not that not all graphics APIs are necessarily available on all systems.) The parameter graphics_api must be one of the following (case-insensitive):

    ‘D3D11’
        Direct3D 11 (Windows-only)

    ‘D3D12’
        Direct3D 12 (Windows-only)

    ‘OpenGLES’

    ‘OpenGL’

    ‘Vulkan’

-ff | --formfactor form_factor
    Specify the form factor to use. (Note that you need a suitable XR system and a runtime supporting a given form factor for it to work.) The parameter form_factor must be one of the following (case-insensitive):

    ‘Hmd’
        Head-mounted display (default)

    ‘Handheld’

-vc | --viewconfig view_config
    Specify the view configuration to use. (Note that you need a suitable XR system and a runtime supporting a given view configuration for it to work.) The parameter view_config must be one of the following (case-insensitive):

    ‘Mono’

    ‘Stereo’
        (default)

-bm | --blendmode blend_mode
    Specify the environment blend mode to use. (Note that you need a suitable XR system and a runtime supporting a given environment blend mode for it to work.) The parameter blend_mode must be one of the following (case-insensitive):

    ‘Opaque’

    ‘Additive’

    ‘AlphaBlend’

-s | --space space
    Specify the space to use. The parameter space must be one of the following (case-insensitive):

    ‘View’

    ‘Local’

    ‘Stage’

-v | --verbose
    Enable verbose logging output from the hello_xr application itself.

EXIT STATUS

SEE ALSO
openxr_runtime_list(1), https://registry.khronos.org/OpenXR/ , https://github.com/KhronosGroup/OpenXR-SDK-Source/tree/main/src/tests/hello_xr